tracker (1.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Mar 2016 23:36:00 +0100

tracker (1.7.5-1) experimental; urgency=medium

  * New upstream release.
  * Remove old, unused dbus interface xml for tracker-extract.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Mar 2016 00:39:28 +0100

tracker (1.7.4-1) experimental; urgency=medium

  * New upstream release.
  * Drop dbg package now that we have automatic dbgsym packages.
  * Drop compat binaries, they are no longer provided by upstream.
  * Ensure proper upgrade from tracker-dbg to new dbgsym packages by using
    dh_strip --dbgsym-migration. Bump Build-Depends on debhelper accordingly.
  * Use the architecture.mk Makefile snippet provided by dpkg-dev to retrieve
    DEB_HOST_MULTIARCH.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Mar 2016 21:27:52 +0100

tracker (1.6.1-2) unstable; urgency=medium

  * Team upload.
  * Change libpng12-dev to libpng-dev, to ease libpng transition
    (Closes: #662523)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2016 16:06:04 +0100

tracker (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Pass --as-needed to dh_autoreconf and use DEB_LDFLAGS_MAINT_APPEND to set
    the linker flags.

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Nov 2015 01:20:35 +0100

tracker (1.6.0-2) unstable; urgency=medium

  [ Iain Lane ]
  * Run the autopkgtests with VERBOSE=1 so we get better output on failure.

  [ Laurent Bigonville ]
  * Enable libosinfo support
  * Enable writeback support for the audio files using TagLib
  * Enable cue sheet parsing support

  [ Michael Biebl ]
  * Drop obsolete XS-Testsuite header, no longer necessary with recent
    versions of dpkg.
  * Make no-patch-numbers the default for gbp pq.
  * Fix buffer overrun in libunistring builds. Patch cherry-picked from
    upstream Git. (Closes: #794646)

 -- Michael Biebl <biebl@debian.org>  Sat, 24 Oct 2015 17:53:37 +0200

tracker (1.6.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream release.
  * Drop Build-Depends on graphviz, no longer necessary.

  [ Iain Lane ]
  * debian/tests/unit-tests: Fix the DEP8 tests. (Closes: #785139)
    - Make sure we always have LANG set
    - Run under dbus-run-session so that there's always a session bus
      available
    - Set HOME to our temporary dir so we can guarantee to be able to write to
      dconf & friends
    - Make an en_US.utf8 locale which the testsuite expects to find.

 -- Michael Biebl <biebl@debian.org>  Tue, 22 Sep 2015 16:43:34 +0200

tracker (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Fri, 31 Jul 2015 23:31:40 +0200

tracker (1.4.0-3) unstable; urgency=medium

  * Change Depends of libtracker-miner-1.0-dev to libmediaart-2.0-dev.

 -- Michael Biebl <biebl@debian.org>  Mon, 25 May 2015 16:27:56 +0200

tracker (1.4.0-2) unstable; urgency=medium

  * Ship bash-completion for tracker binary.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 23 May 2015 17:37:58 +0200

tracker (1.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Add Build-Depends on libstemmer-dev. The internal code copy has been
    removed and tracker uses the system version now.
  * Update debian/copyright. Remove section about libstemmer.
  * Build against libmediaart-2.0-dev (>= 1.9.0).
  * Drop the tracker-utils package and fold it into the tracker package.
    The various tracker-* commands have been replaced by a single 'tracker'
    binary. This new binary is shipped in the tracker package along with
    compat scripts for the old names, making the tracker-utils package
    obsolete.

 -- Michael Biebl <biebl@debian.org>  Tue, 12 May 2015 22:42:44 +0200

tracker (1.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch which is now upstream.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.40.0) as per configure.ac.
  * Update Vcs-Browser URL to use cgit and https.

 -- Michael Biebl <biebl@debian.org>  Fri, 01 May 2015 05:37:37 +0200

tracker (1.2.4-2) unstable; urgency=medium

  * libtracker-miner: Restrict the amount of data that is logged
    for errors. Patch cherry picked from upstream Git. (Closes: #754907)

 -- Michael Biebl <biebl@debian.org>  Fri, 06 Feb 2015 19:29:40 +0100

tracker (1.2.4-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Michael Biebl <biebl@debian.org>  Fri, 07 Nov 2014 01:20:23 +0100

tracker (1.2.2-2) unstable; urgency=medium

  [ Tim Lunn ]
  * Drop lintian overrides, tracker now sets RUNPATH rather than RPATH
  * Drop Build-Dep on Dia, it is no longer used to regenerate pngs during build
  * Run unit tests as autopkgtests, since they require the tracker dbus services
    to be installed for tests to pass (BGO: #733201)

  [ Michael Biebl ]
  * Install typelib files into multiarch paths.
  * Mark gir and dev packages as Multi-Arch: same.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Update Homepage URL.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Oct 2014 00:28:43 +0200

tracker (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Add new tracker_indexing_tree_new_with_root symbol for libtracker-miner.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Sep 2014 19:01:57 +0200

tracker (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libmediaart-1.0-dev to (>= 0.5.0) as per
    configure.ac.
  * Update symbols file for libtracker-miner.
  * Install AppData files for tracker-needle and tracker-preferences.
  * Ship new tracker-miner-apps and tracker-miner-user-guides in the
    tracker-miner-fs package. That functionality was split of tracker-miner-fs
    into separate processes. We keep them in a single binary package for now.

 -- Michael Biebl <biebl@debian.org>  Tue, 23 Sep 2014 23:21:07 +0200

tracker (1.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Sep 2014 18:24:02 +0200

tracker (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Use gnome-autogen.sh in dh_autoreconf. Add Build-Depends on gnome-common
    for that.
  * Disable building of static libraries since we don't install them anyway.

 -- Michael Biebl <biebl@debian.org>  Sun, 24 Aug 2014 00:41:24 +0200

tracker (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Do no longer explicitly set the compression since xz is the default
    nowadays.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Jul 2014 16:04:12 +0200

tracker (1.0.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add missing dependency on libmediaart-1.0-dev to libtracker-miner-1.0-dev.
    (Closes: #745945)

 -- Michael Biebl <biebl@debian.org>  Sat, 10 May 2014 00:34:48 +0200

tracker (1.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Update configure switch for enca charset detection support.

 -- Michael Biebl <biebl@debian.org>  Fri, 09 May 2014 23:36:26 +0200

tracker (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols file for libtracker-miner.

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Mar 2014 02:31:03 +0100

tracker (0.17.8-1) experimental; urgency=medium

  * New upstream release.
    - Fixes description in tracker-store man page. (Closes: #675198)
  * Update patches.

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Mar 2014 22:31:35 +0100

tracker (0.17.7-1) experimental; urgency=medium

  * New upstream release.
  * Install autostart file for tracker-extract.
  * Update patches.

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Mar 2014 16:57:28 +0100

tracker (0.17.6-1) experimental; urgency=medium

  * New upstream release.
  * Explicitly enable libmediaart support.
  * Fix underlinking in example programs.

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Mar 2014 23:07:57 +0100

tracker (0.17.5-1) experimental; urgency=medium

  * New upstream release.
  * Remove debian/patches/01-libtracker-extract-internal.patch and
    debian/patches/02-define-dirs.patch, both merged upstream.
  * Remove obsolete configure switches.
  * Bump debhelper compatibility level to 9.
  * Convert to multi-arch. Mark libtracker-sparql, libtracker-miner and
    libtracker-control as Multi-Arch: same.

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Mar 2014 02:06:05 +0100

tracker (0.17.4-1) experimental; urgency=medium

  * New upstream development release.
  * Update Build-Depends:
    - Bump libglib2.0-dev to (>= 2.38.0).
    - Bump libgsf-1-dev to (>= 1.14.24).
    - Add libmediaart-1.0-dev (>= 0.1.0).
    - Use libtiff-dev, not libtiff4-dev. The latter is a transitional package
      and going away. (Closes: #736047)
  * Upstream finally declared the API version as stable and bumped it to 1.0.
    Rename the files accordingly.
  * Update symbols file for libtracker-miner.
  * Add packages for libtracker-control, a new library for managing miners,
    including polling status and progress, pausing, resuming and more.
  * debian/patches/01-libtracker-extract-internal.patch: Upstream has declared
    libtracker-extract a package-private library. Move the library to
    pkglibdir to reflect that change.
  * Remove libtracker-extract packages.
  * Update shlibs.local for libtracker-extract and libtracker-control.
  * Use dh-autoreconf to update the build system. Override dh_autoreconf since
    we need to run gtkdocize and intltoolize.
  * Ship ontology documentation in libtracker-sparql-doc.
  * Update tracker-extract.install for new files.
  * Bump Standards-Version to 3.9.5. No further changes.
  * debian/patches/02-define-dirs.patch: Define back extract[rules|modules]dir
    for Makefile.am to use. Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sun, 02 Mar 2014 16:30:12 +0100

tracker (0.16.2-1) unstable; urgency=low

  * New upstream release.
  * Explicitly enable wanted features via configure switches.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Sep 2013 15:08:43 +0200

tracker (0.16.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Jul 2013 13:23:15 +0200

tracker (0.16.1-1) experimental; urgency=low

  * New upstream release.
  * Use gir dh addon instead of calling dh_girepository manually.

 -- Michael Biebl <biebl@debian.org>  Wed, 01 May 2013 14:30:41 +0200

tracker (0.16.0-2) experimental; urgency=low

  * Move package to collab-maint.
  * Bump Standards-Version to 3.9.4.

 -- Michael Biebl <biebl@debian.org>  Sun, 24 Mar 2013 02:13:28 +0100

tracker (0.16.0-1) experimental; urgency=low

  * New upstream release.
  * It's spring cleaning time. Upstream has removed the gnome-panel search
    bar, tracker-explorer and the flickr miner:
    - Drop Build-Depends on libpanel-applet-4-dev.
    - Remove tracker-search-bar from tracker-gui package.
    - Drop tracker-explorer binary package.
    - Remove obsolete configure flags.
  * Drop old Breaks against rygel-tracker, no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Mon, 18 Mar 2013 22:45:19 +0100

tracker (0.15.4-1) experimental; urgency=low

  * New upstream development release.
  * Track unstable releases for now.
  * Update Build-Depends:
    - Bump libglib2.0-dev to (>= 2.35.1).
    - Bump libsqlite3-dev to (>= 3.7.9) for FTS4 content= support.
    - Build against gstreamer 1.0.
  * Rename library packages for the API version bump 0.12 → 0.14.
  * Update symbols file for libtracker-miner-0.16-0.
  * List missing files on dh_install.
  * Update configure flags for the gnome-keyring to libsecret change.

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Mar 2013 00:26:02 +0100

tracker (0.14.5-1) experimental; urgency=low

  * New upstream release.
  * Remove 0001-evolution-plugin-include-missing-header.patch, merged
    upstream.
  * Enable XPS support.
  * Build against libgee-0.8.
  * tracker-gui no longer installs any icons in $pkgdatadir, update the
    .install file accordingly.
  * Enforce strict inter-package dependencies via shlibs.local.
  * Rename an internal symbol in libtracker-miner.
  * For configure switches with auto detection, explicitly enable or disable
    the feature for reliable build results in tainted build environments.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 Feb 2013 09:25:21 +0100

tracker (0.14.1-3) unstable; urgency=low

  * Use xz compression for binary packages.
  * Disable Evolution email data miner. It is currently non-functional and
    unlikely to be fixed in time for wheezy. (Closes: #666176)

 -- Michael Biebl <biebl@debian.org>  Mon, 08 Oct 2012 22:17:39 +0200

tracker (0.14.1-2) unstable; urgency=low

  * debian/patches/0001-evolution-plugin-include-missing-header.patch: Include
    missing mail/e-mail-backend.h header. Otherwise evolution fails to load
    the Tracker evolution plugin due to undefined symbols. (Closes: #678444)
  * Drop explicit Build-Depends on gir1.2-glib-2.0.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Jun 2012 23:21:41 +0200

tracker (0.14.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 May 2012 00:36:35 +0200

tracker (0.14.0-2) unstable; urgency=low

  * Upload to unstable.
  * Update and rewrite debian/copyright using the machine-readable copyright
    format 1.0.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Mar 2012 17:21:04 +0100

tracker (0.14.0-1) experimental; urgency=low

  * New upstream release.
  * Rename library packages for the API version bump 0.12 → 0.14.
  * Update symbols file for libtracker-miner.
  * Bump Build-Depends on debhelper to (>= 8.1.0~).
  * Bump Standards-Version to 3.9.3. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Mar 2012 20:40:22 +0100

tracker (0.12.10-1) unstable; urgency=low

  * New upstream release.
  * Use dh_installdeb maintscript files to handle removal of obsolete
    conffiles in tracker and tracker-gui.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Feb 2012 19:40:01 +0100

tracker (0.12.9-1) unstable; urgency=low

  * New upstream release.
  * Change section of gir1.2-tracker-0.12 to introspection.
  * Update homepage URL. (Closes: #652141)

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Dec 2011 18:47:47 +0100

tracker (0.12.8-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file for libtracker-extract-0.12-0.

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Dec 2011 06:40:28 +0100

tracker (0.12.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 20 Nov 2011 15:31:45 +0100

tracker (0.12.7-1) experimental; urgency=low

  * New upstream release.
  * debian/watch: Track .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Oct 2011 22:02:43 +0200

tracker (0.12.6-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Oct 2011 16:42:59 +0200

tracker (0.12.5-3) experimental; urgency=low

  * Re-enable tracker-search-bar panel applet and nautilus tagging extension.

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Oct 2011 06:13:23 +0200

tracker (0.12.5-2) experimental; urgency=low

  * Add -doc packages for libtracker-sparql, libtracker-miner and
    libtracker-extract and move the gtk-doc API documentation out of the -dev
    packages. Otherwise they are not co-installable.
  * Add Build-Depends on libglib2.0-doc for proper cross references in the
    gtk-doc API documentation.

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Oct 2011 12:39:12 +0200

tracker (0.12.5-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 13 Oct 2011 16:50:58 +0200

tracker (0.12.4-1) experimental; urgency=low

  * New upstream release.
  * Remove debian/patches/01-po-de.patch, merged upstream.
  * Update symbols file for libtracker-extract.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Oct 2011 22:16:21 +0200

tracker (0.12.3-1) experimental; urgency=low

  * New major upstream release.
  * Update build dependencies:
    - Bump libglib2.0-dev to (>= 2.28.0).
    - Update libgtk2.0-dev to libgtk-3-dev (>= 3.0.0).
    - Drop libdbus-glib-1-dev.
  * Drop libtracker-client packages.
    This library has been deprecated in 0.10 and removed upstream in 0.12.
  * Update library packages for the API version bump 0.10 → 0.12.
  * Update symbols files for libtracker-extract and libtracker-sparql.
  * Remove .cfg man pages. They have become obsolete with the switch to
    gsettings.
  * Install gsettings schema files.
  * Fix html markup error in German translation.
  * Install tracker-writeback.
  * Update debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Sep 2011 20:34:54 +0200

tracker (0.10.26-1) unstable; urgency=low

  * New upstream release.
  * Update symbols files for libtracker-extract and libtracker-miner.

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Sep 2011 19:46:57 +0200

tracker (0.10.25-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Sep 2011 23:57:01 +0200

tracker (0.10.24-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 26 Aug 2011 00:26:14 +0200

tracker (0.10.23-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Aug 2011 23:54:28 +0200

tracker (0.10.22-1) unstable; urgency=low

  * New upstream release.
  * Drop Build-Depends on libnotify-dev, not used anymore.
  * Disable nautilus extension in preparation for the nautilus 3 transition.
    (Closes: #637328)
  * debian/libtracker-miner-0.10-0.symbols
    - Add new API for pausing miners during process life time and filesystem
      writeback control.

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Aug 2011 11:44:16 +0200

tracker (0.10.21-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Jul 2011 12:58:10 +0200

tracker (0.10.21-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Jul 2011 16:29:12 +0200

tracker (0.10.20-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Jul 2011 16:17:56 +0200

tracker (0.10.19-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 30 Jun 2011 18:04:31 +0200

tracker (0.10.18-1) experimental; urgency=low

  * New upstream release.
  * Enable gobject introspection support.
    - Add Build-Depends on libgirepository1.0-dev, gobject-introspection and
      gir1.2-glib-2.0.
    - Add package gir1.2-tracker-0.10 containing the typelib files for
      libtracker-extract, libtracker-miner and libtracker-sparql.
    - Install gir files in libtracker-{extract,miner,sparql}-0.10-dev.install.
    - Make libtracker-{extract,miner,sparql}-0.10-dev depend on
      gir1.2-tracker-0.10 (= ${binary:Version})
    - Add override for dh_shlibdeps and call dh_girepository.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Jun 2011 20:38:08 +0200

tracker (0.10.17-1) experimental; urgency=low

  * New upstream release.
  * debian/rules
    - Explicitly enable/disable features to get more reliable builds.
    - Disable gnome-keyring integration. This feature is only used by the
      flickr and rss web miners which we don't build.
  * debian/control
    - Update libtracker-miner-0.10-dev and libtracker-extract-0.10-dev. Depend
      on libtracker-sparql-0.10-dev instead of libtracker-client-0.10-dev.
    - Make libtracker-miner-0.10-dev, libtracker-extract-0.10-dev and
      libtracker-client-0.10-dev conflict with their 0.8 version due to file
      conflicts. The gtk-doc API documentation uses unversioned directories.

 -- Michael Biebl <biebl@debian.org>  Sun, 12 Jun 2011 18:41:42 +0200

tracker (0.10.16-1) experimental; urgency=low

  * New upstream release.
  * Don't hard code the version in nautilus' extensions directory.
    This way the package can be built against nautilus 3 without changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 03 Jun 2011 17:41:13 +0200

tracker (0.10.15-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 26 May 2011 23:02:10 +0200

tracker (0.10.14-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 May 2011 21:20:09 +0200

tracker (0.10.13-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 May 2011 14:02:49 +0200

tracker (0.10.12-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 09 May 2011 12:41:43 +0200

tracker (0.10.11-1) experimental; urgency=low

  * New upstream release.
  * Update debian/libtracker-extract-0.10-0.symbols. Add tracker-encoding
    symbols which were moved from libtracker-common.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 01 May 2011 01:25:17 +0200

tracker (0.10.10-1) experimental; urgency=low

  * New upstream release.
  * Update debian/libtracker-sparql-0.10-0.install, sparql-modules are no
    longer compiled as loadable modules, but linked statically.
  * Update symbols files for libtracker-sparql and libtracker-miner.
  * Improve package description, fix lintian spelling-error-in-description and
    spelling-error-in-changelog.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Apr 2011 14:59:22 +0200

tracker (0.10.6-1) experimental; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libgstreamer0.10-dev and
      libgstreamer-plugins-base0.10-dev to (>= 0.10.31).

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Apr 2011 02:02:36 +0200

tracker (0.10.5-1) experimental; urgency=low

  * New upstream release.
  * Remove patches
    - debian/patches/02-require_eds_2_32.patch (fixed upstream)
    - debian/patches/99-autoreconf.patch (obsolete)
  * Update debian/libtracker-miner-0.10-0.symbols.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Mar 2011 02:39:04 +0100

tracker (0.10.4-1) experimental; urgency=low

  * New upstream release.
  * debian/libtracker-sparql-0.10-0.symbols
    - Remove tracker_backend_status_wait_(async,finish) and
      tracker_sparql_connection_init_(async,finish). Those symbols were not
      meant to be public and have been removed.
    - Mark private symbols as optional.
  * debian/libtracker-miner-0.10-0.symbols
    - Mark private symbols as optional.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Mar 2011 17:31:38 +0100

tracker (0.10.3-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Mar 2011 00:15:59 +0100

tracker (0.10.2-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Mar 2011 22:28:16 +0100

tracker (0.10.1-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * debian/rules
    - Explicitly disable network-manager support to not pick up any additional
      dependencies by accident. Network status detection support is not really
      useful anyway as long as we don't build any web miners.
  * debian/control
    - Remove tracker-status from package description. Its functionality has
      been merged into tracker-control. (See tracker-control --help-status)
    - Replace Build-Depends on libpoppler-dev with
      libpoppler-glib-dev (>= 0.16.0). The newer version of poppler-glib
      provides all necessary features and has a stable API.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Mar 2011 03:50:02 +0100

tracker (0.10.0-1) experimental; urgency=low

  * New major upstream release.
  * Update build dependencies
    - Bump intltool to (>= 0.40.0), libglib2.0-dev to (>= 2.26.0),
      libdbus-glib-1-dev to (>= 0.82).
    - Bump libdbus-1-dev (>= 1.3.1) for Unix file descriptor passing support.
    - Bump libsqlite3-dev to (>= 3.7.0) for WAL (Write-Ahead Logging).
    - Drop libunac1-dev.
    - Add libunistring-dev and libgif-dev.
    - Replace libpoppler-glib-dev with libpoppler-dev (temporarily).
    - Add dia for gtk-doc documentation.
  * Rename library packages for 0.8 → 0.10 soname bump.
  * Add packages for libtracker-sparql-0.10-0 and libtracker-sparql-0.10-dev.
  * Update symbols files.
  * Update patches
    - Drop debian/patches/01-upower.patch, merged upstream.
    - Update debian/patches/02-require_eds_2_32.patch to allow building
      against EDS 2.32.
    - Refresh debian/patches/99-autoreconf.patch.
  * tracker-search-tool has been replaced by tracker-needle. Update install
    file, package description and configure flags.
  * Drop Recommends on unzip (replaced by gzip, which is Essential) and
    odt2txt (obsolete).
  * Drop transitional package tracker-search-tool.
  * Remove obsolete --enable-unac configure flag.
  * Disable tracker-search-bar for now, as we don't have libpanelapplet-4.0 in
    Debian yet.
  * Remove tracker-status-icon as it is no longer shipped upstream. Clean up
    autostart file on upgrades.
  * Update install files.
  * Move libtracker-common, libtracker-data and sparql-modules into
    libtracker-sparql-0.10-0 package. Update shlibs.local accordingly.
  * Add lintian override for binary-or-shlib-defines-rpath for the tracker
    package. The rpath is used by tracker-store to load the private libraries
    in /usr/lib/tracker-0.10.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Feb 2011 15:21:37 +0100

tracker (0.8.18-1) unstable; urgency=low

  * New upstream release.
  * Refresh debian/patches/01-upower.patch.
  * Drop debian/patches/02-require_eds_2_32.patch, fixed upstream.
  * Use dh-autoreconf to update the build system
    - Drop debian/patches/99-autoreconf.patch.
    - Add Build-Depends on dh-autoreconf.
    - Pass --with autoreconf to dh.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 May 2011 15:06:43 +0200

tracker (0.8.17-2) unstable; urgency=low

  * Add explicit Build-Depends on libcamel1.2-dev (>= 2.32.0) and also bump
    evolution-dev and evolution-data-server-dev to (>= 2.32.0), as they need
    to be in sync. (Closes: #613503)
  * debian/patches/02-require_eds_2_32.patch
    - As we require EDS 2.32 now, drop older compat code which no longer
      compiles with newer versions of EDS. (Closes: #614488)
  * Switch from cdbs to dh.
  * Bump debhelper compatibility level to 8.
  * Fix watch file.
  * Add debian/tracker.docs.
  * Make sure libtracker-common does not end up in shlibs or symbols as it is
    a private library. Use shlibs.local to tell dpkg-shlibdeps where to find
    the library instead.

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Feb 2011 22:55:39 +0100

tracker (0.8.17-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-nfo-belongsToContainer-index.patch
    - Remove this patch as the performance regressions have been fixed
      upstream by making tracker-miner-fs more efficient and patching the
      ontology isn't really a good idea.
  * debian/patches/01-upower.patch
    - Port tracker from deprecated libdevkit-power-gobject to libupower-glib.
      Patch cherry-picked from upstream. (Closes: #595085)
  * debian/patches/99-autoreconf.patch
    - Update build system for 01-upower.patch.
  * debian/control
    - Bump Standards-Version to 3.9.1. No further changes.
    - Change Build-Depends on libdevkit-power-gobject-dev to
      libupower-glib-dev (>= 0.9.0).

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Sep 2010 05:19:35 +0200

tracker (0.8.15-1) unstable; urgency=low

  * New upstream release.
    - Show email search results in tracker-search-tool. (Closes: #584895)
  * debian/patches/01-tracker-status-icon-show-missing-menu-items.patch
    - Removed, fixed upstream.
  * debian/patches/01-nfo-belongsToContainer-index.patch
    - Keep index for nfo:belongsToContainer as otherwise the initial crawling
      suffers a serious performance regression.
  * debian/control
    - Bump Build-Depends on libglib2.0-dev to (>= 2.24.0).
    - Bump Standards-Version to 3.9.0.
    - Use Breaks instead of Conflicts as recommended by the new policy.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Jul 2010 13:57:26 +0200

tracker (0.8.12-1) unstable; urgency=low

  * New upstream release.
  * debian/libtracker-miner-0.8-dev.install
    - Install vapi helper file /usr/share/vala/vapi/tracker-miner-0.8.deps.
  * debian/patches/01-tracker-status-icon-show-missing-menu-items.patch
    - Show missing menu items in tracker-status-icon's context menu.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Jun 2010 23:12:57 +0200

tracker (0.8.11-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Jun 2010 16:31:39 +0200

tracker (0.8.9-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 May 2010 17:20:14 +0200

tracker (0.8.7-1) unstable; urgency=low

  * New upstream release.
  * debian/watch
    - Only track stable releases.
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop quilt from Build-Depends.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
    - Remove debian/README.source.
  * debian/control
    - Drop python-support from Build-Depends as we no longer build
      libdeskbar-tracker.
    - Drop libpoppler-dev from Build-Depends since only the glib frontend is
      used and not the core library. Thanks to Pino Toscano for the hint.
    - Add dependency on gnome-icon-theme for tracker-gui. The icons used by
      tracker-search-tool are provided by gnome-icon-theme. (Closes: #582245)

 -- Michael Biebl <biebl@debian.org>  Thu, 20 May 2010 23:30:47 +0200

tracker (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Improve package descriptions. Thanks to Tshepang Lekhonkhobe for the
      patch.
    - Add Build-Depends on gtk-doc-tools and graphviz.
  * debian/rules
    - Add --enable-gtk-doc to DEB_CONFIGURE_EXTRA_FLAGS.
  * debian/libtracker-{client,extractor,miner}-dev.install
    - Install API documentation.
  * debian/patches/30-vfat-hidden-attribute-build-fix.patch
    - Removed, merged upstream.
  * debian/tracker.install
    - Install D-Bus interface description file tracker-miner-web.xml.

 -- Michael Biebl <biebl@debian.org>  Sat, 24 Apr 2010 18:12:48 +0200

tracker (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Remove patches
    - debian/patches/10-improve-library-dependencies.patch (merged upstream)
    - debian/patches/20-am-maintainer-mode.patch (obsolete)
    - debian/patches/99-autoreconf.patch (obsolete)
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Apr 2010 19:14:41 +0200

tracker (0.8.1-2) experimental; urgency=low

  * debian/control
    - Add Breaks: rygel-tracker (<< 0.5) as the D-Bus API has changed between
      0.6 and 0.8.
    - Add Conflicts/Replaces: tracker (<< 0.8.1-1) to tracker-gui. The icons
      were moved between those two packages.
    - Remove useless Conflicts from tracker-miner-fs and
      tracker-miner-evolution. Both packages already have a strict dependency
      on tracker.
  * debian/patches/10-improve-library-dependencies.patch
    - Only link against libraries when actually needed to get rid of
      unnecessary library dependencies.
  * debian/patches/99-autoreconf.patch
    - Run autoreconf to update the build system.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Apr 2010 01:20:31 +0200

tracker (0.8.1-1) experimental; urgency=low

  * New major upstream release. (Closes: #549695)
    - The changes are too numerous to list them all, as it is basically a
      rewrite. Some relevant changes:
    - QDBM is gone, and with it its limitations. (Closes: #452657, #525393)
    - The metadata store has been split from the file system crawler and can
      be used independently. There are separate "miners" which can be
      installed to feed data to tracker.
      The new packaging layout accounts for that change.
    - Support for Nepomuk with SPARQL which are used to query and update the
      data.
    - tracker-meta-folder is gone. (Closes: #430623)
  * Remove patches:
    - debian/patches/10-binutils-gold.patch (fixed upstream)
    - debian/patches/15-am-maintainer-mode.patch (obsolete)
    - debian/patches/20-tracker-search-man-page-typo-fix.patch (merged
      upstream)
    - debian/patches/25-trackerd-man-page-typo-fix.patch (merged upstream)
    - debian/patches/99-autoreconf.patch (obsolete)
  * debian/patches/30-vfat-hidden-attribute-build-fix.patch
    - Refresh to apply cleanly.
  * Update Build-Depends:
    - Bump libglib2.0-dev to (>= 2.20.0).
    - Bump libdbus-1-dev to (>= 1.0).
    - Bump libdbus-glib-1-dev to (>= 0.78).
    - Bump libsqlite3-dev to (>= 3.6.16).
    - Bump libgtk2.0-dev to (>= 2.18.0).
    - Bump libexempi-dev to (>= 2.1.0).
    - Drop libgmime-2.4-dev, libgnome2-dev, libgnomeui-dev,
      libgnome-desktop-dev, libglade2-dev, libraptor1-dev, libqdbm-dev,
      libhal-dev, libhal-storage-dev.
    - Add libflac-dev (>= 1.2.1) for FLAC extractor support.
    - Add evolution-dev (>= 2.25.5) and evolution-data-server-dev (>= 2.25.5)
      for the evolution email miner.
    - Add libpanel-applet2-dev for the tracker-search-bar applet.
    - Add libnautilus-extension-dev for the tracker-tag widget integration in
      nautilus.
    - Add libdevkit-power-gobject-dev (>= 007) for AC power detection.
    - Add libenca-dev (>= 1.9) for detecting defect Russion or Cyrillic language
      specifis in MP3s.
    - Add libiptcdata0-dev for extracting IPTC metadata from images.
    - Add libxml2-dev (>= 2.6), uuid-dev, libgee-dev (>= 0.3), valac.
  * New package layout:
    - Drop libdeskbar-tracker, libtracker-gtk0, libtracker-gtk-dev.
    - Add libtracker-miner-0.8-0, libtracker-miner-0.8-dev,
      libtracker-extract-0.8-0 libtracker-extract-0.8-dev,
      tracker-extract, tracker-miner-fs, tracker-miner-evolution,
      tracker-explorer, tracker-gui.
    - Make tracker-search-tool a transitional package which depends on
      tracker-gui.
    - Rename libtrackerclient0 → libtracker-client-0.8-0,
      libtrackerclient-dev → libtracker-client-0.8-dev.
  * Add symbols files for all shared libraries:
    - Add debian/libtracker-client-0.8-0.symbols.
    - Add debian/libtracker-miner-0.8-0.symbols.
    - Add debian/libtracker-extract-0.8-0.symbols.
  * Rename tracker.postinst → tracker-miner-fs.postinst as tracker-miner-fs
    needs the increased fs.inotify.max_user_watches, not tracker-store.
  * Add lintian overrides for binary-or-shlib-defines-rpath for packages
    linking against private libraries in /usr/lib/tracker-0.8:
    - Add debian/libtracker-extract-0.8-0.lintian-overrides.
    - Add debian/libtracker-miner-0.8-0.lintian-overrides.
    - Add debian/tracker-gui.lintian-overrides.
    - Add debian/tracker-miner-evolution.lintian-overrides.
    - Add debian/tracker-miner-fs.lintian-overrides.
    - Add debian/tracker-utils.lintian-overrides.
  * Remove the old xdg autostart files for trackerd and tracker-applet
    on upgrades:
    - Add debian/tracker-gui.preinst.
    - Add debian/tracker.preinst.
  * debian/rules:
    - Update configure switches, enable FLAC extractor support.
    - Update DEB_DH_MAKESHLIBS_ARGS_ALL arguments.
  * Review and update debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Apr 2010 00:12:53 +0200

tracker (0.6.96-2) unstable; urgency=low

  * debian/patches/30-vfat-hidden-attribute-build-fix.patch
    - Don't build VFAT check for hidden attributes on non-linux platforms.
      Thanks Petr Salinger for the patch. (Closes: #576938)

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Apr 2010 16:47:01 +0200

tracker (0.6.96-1) unstable; urgency=low

  * New upstream release.
  * debian/tracker.manpages
    - Remove tracker-thumbnailer.1, no longer installed upstream.
  * Remove patches:
    - debian/patches/10-drop-bogus-version-info.patch (merged upstream)
    - debian/patches/20-tracker-defaults.patch (merged upstream)
    - debian/patches/30-gmime-2.4.patch (merged upstream)
  * debian/control
    - Fix small typo in tracker-dbg's package description. (Closes: #550771)
    - Bump Standards-Version to 3.8.4. No further changes.
    - Add Depends on procps.
  * debian/patches/10-binutils-gold.patch
    - Add missing libraries to fix FTBFS with binutils-gold. (Closes: #556499)
  * debian/patches/15-am-maintainer-mode.patch
    - Set AM_MAINTAINER_MODE to make patching the build system less painful.
  * debian/patches/99-autoreconf.patch
    - Rerun autoreconf -i to update the build system.
  * debian/*.lintian-overrides
    - Add lintian overrides for tracker-search-tool and tracker-utils. Those
      binaries encode an rpath for /usr/lib/tracker. As they are built from
      the same source package and have a strict dependency on the tracker
      binary package, it is acceptable to define an rpath.
  * debian/patches/20-tracker-search-man-page-typo-fix.patch
    - Fix typo in the tracker-search.1 man page detected by lintian.
  * debian/patches/25-trackerd-man-page-typo-fix.patch
    - Fix typo in the trackerd.1 man page spotted by Hans Spaans.
      (Closes: #549868)
  * debian/rules
    - Update configure flags.
    - Don't generate ldconfig calls in postinst/postrm for the libraries
      shipped in /usr/lib/tracker.
  * debian/tracker.postinst
    - Start procps to apply "sysctl.d/30-tracker.conf".

 -- Michael Biebl <biebl@debian.org>  Mon, 05 Apr 2010 16:39:38 +0200

tracker (0.6.95-3) unstable; urgency=low

  * Port to GMime 2.4. (Closes: #549052)
  * debian/control
    - Update Build-Depends libgmime-2.0-2-dev → libgmime-2.4-dev.
    - Bump Standards-Version to 3.8.3. No further changes.
  * debian/patches/30-gmime-2.4.patch
    - Pull patch from https://bugzilla.gnome.org/show_bug.cgi?id=564640 to
      make tracker compile against GMime 2.4.
  * debian/patches/99-autoreconf.patch
    - Run autoreconf as the gmime-2.4 patch requires changes to the build
      system.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 Sep 2009 23:11:34 +0200

tracker (0.6.95-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.2. No further changes.
  * libdeskbar-tracker: Change Depends on python-gnome2-desktop to
    python-gnomedesktop, as python-gnome2-desktop is going away.
    (Closes: #541565)

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Aug 2009 02:22:03 +0200

tracker (0.6.95-1) unstable; urgency=low

  * New upstream release.
  * Stop installing the kmail push module for now as kmail support is not yet
    mature enough.
  * debian/libtrackerclient0.symbols
    - Updated for new API additions.

 -- Michael Biebl <biebl@debian.org>  Sun, 24 May 2009 00:53:09 +0200

tracker (0.6.94-1) unstable; urgency=low

  * New upstream release.
  * Drop Build-Depends on deskbar-applet and python-gtk2-dev again and install
    the tracker deskbar-applet module manually instead.
  * debian/patches/20-tracker-defaults.patch
    Create configuration file with more conservative defaults.
    (Closes: #525107)
    - Disable evolution plugin by default.
    - Set throttle level to 10.
    NOTE: An existing ~/.config/tracker/tracker.cfg will *not* be updated
    automatically. This change only affects newly created configuration files.

 -- Michael Biebl <biebl@debian.org>  Fri, 08 May 2009 17:06:40 +0200

tracker (0.6.93-1) unstable; urgency=low

  * New upstream release.
  * debian/tracker-utils.install
    - Install tracker-processes binary.
  * debian/libtrackerclient0.symbols
    - Updated for new API additions.
  * debian/control
    - Add Build-Depends on libvorbis-dev (>= 0.22).
  * debian/rules
    - Add --enable-libvorbis to configure flags for the vorbis metadata
      extractor.

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Apr 2009 21:53:12 +0200

tracker (0.6.92-1) unstable; urgency=low

  * New upstream release.
  * debian/watch
    - Check for the tarball directly on the GNOME ftp server.
  * debian/patches/01-tracker-statistics-fix.patch
    - Removed, merged upstream.
  * debian/libtracker{client,-gtk}-dev.install
    - Upstream no longer builds static libraries, so remove *.a files.
  * debian/tracker.install
    - Install the new-style push modules. Currently available is kmail
      support, evolution support requires at least version 2.25.5 of evolution
      and eds which are not yet in unstable.
  * debian/control
    - Tighten build dependency on libraptor1-dev to (>= 1.4.18-2) to make sure
      we link against a version with GnuTLS support and not OpenSSL.
      Closes: #519684
  * debian/patches/10-drop-bogus-version-info.patch
    - Revert bogus libtool so-versioning.

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Mar 2009 01:32:34 +0200

tracker (0.6.91-1) unstable; urgency=low

  * New upstream release.
  * Removed patches that were merged upstream
    - debian/patches/01-secure_tmpdir.patch
    - debian/patches/02-tracker-restart.patch
    - debian/patches/03-tracker-deskbar-live-search.patch
    - debian/patches/05_gnomedesktop.patch
  * debian/control
    - Bump Standards-Version to 3.8.1. No further changes.
    - Change Section of tracker-dbg to debug.
    - Add deskbar-applet and python-gtk2-dev to Build-Depends as ./configure
      now requires it to successfully enable the deskbar-applet module.
  * debian/patches/01-tracker-statistics-fix.patch
    - Patch pulled from upstream SVN. Fixes a crash when calculating and
      showing the statistics.
  * debian/libtrackerclient0.symbols
    - Updated for new API additions.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Mar 2009 15:31:46 +0100

tracker (0.6.90-4) unstable; urgency=low

  * debian/patches/03-tracker-deskbar-live-search.patch
    - Update deskbar module to the new tracker D-Bus API (object path of the
      Search() interface has changed). Closes: #518252
  * debian/patches/05_gnomedesktop.patch
    - Use python module gnomedesktop directly rather than
      deskbar.core.gnomedeskop (which has been removed from deskbar-applet
      since 2.23.6). Patch taken from Ubuntu, thanks.
  * debian/control
    - Depend on python-gnome2-desktop (for patch 05_gnomedesktop.patch).

 -- Michael Biebl <biebl@debian.org>  Fri, 06 Mar 2009 16:21:43 +0100

tracker (0.6.90-3) unstable; urgency=low

  * debian/control
    - Add explicit Build-Depends on libglade2-dev (>= 2.5). Closes: #517893
  * debian/patches/02-tracker-restart.patch
    - When restarting trackerd from within tracker-applet, use the correct
      path to the binary. Closes: #516546

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Mar 2009 22:18:27 +0100

tracker (0.6.90-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 20 Feb 2009 02:50:12 +0100

tracker (0.6.90-1) experimental; urgency=low

  * New upstream release.
    - Adds proper D-Bus introspection support. Closes: #411778
    - Limit of search results can now be specified via the --limit option for
      tracker-{query,tag,files}. Closes: #430621
  * debian/patches/02-static_keywords_reply.patch
    - Removed, merged upstream.
  * debian/patches/03-prefer_odt2txt.patch
    - Removed, merged upstream.
  * debian/patches/01-secure_tmpdir.patch
    - Update to the latest upstream changes.
    - Output the resulting text file to stdout.
  * Switch patch management system to quilt.
  * debian/compat
    - Bump to debhelper v7 compat mode.
  * debian/control
    - Update Build-Depends
      + Bump debhelper to (>= 7).
      + Bump libglib2.0-dev to (>= 2.16.0).
      + Bump libgstreamer0.10-dev to (>= 0.10.12).
      + Add  libgstreamer-plugins-base0.10-dev (>= 0.10.12).
      + Replace libxml-parser-perl with intltool.
      + Drop libgnomevfs2-dev.
      + Add libtotem-plparser-dev.
      + Add libraptor1-dev.
      + Add libhal-storage-dev (>= 0.5).
      + Add libtiff4-dev.
    - Add ${misc:Depends} to all packages.
    - Add tracker (= ${binary:Version}) to tracker-dbg.
  * Bump Standards-Version to 3.8.0. Add README.source as recommended by the
    new policy and refer to the quilt documentation.
  * Update symbols files.
  * Update list of installed files and man pages.
  * Install 30-tracker.conf into /etc/sysctl.d/ which will increase the
    maximum number of inotify watches to 65536.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Feb 2009 17:00:55 +0100

tracker (0.6.6-2) unstable; urgency=low

  * debian/control
    - Add Build-Depends on pkg-config.
    - Add Vcs-* fields.
    - Replace Recommends on o3read with odt2txt.
  * debian/patches/01-secure_tmpdir.patch
    - Use mktemp to create a secure tmpdir for the msword filter.
      Thanks to Jon Dowland for the patch. Closes: #473733
  * Add symbols files for libtrackerclient0 and libtracker-gtk0. 
  * debian/patches/02-static_keywords_reply.patch
    - Make _keywords_reply a static function to not export it in the public
      API.
  * debian/patches/03-prefer_odt2txt.patch
    - Use odt2txt to index OpenOffice documents. Closes: #478091

 -- Michael Biebl <biebl@debian.org>  Sun, 25 May 2008 02:20:25 +0200

tracker (0.6.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Wrap dependencies.

 -- Michael Biebl <biebl@debian.org>  Mon, 03 Mar 2008 19:21:45 +0100

tracker (0.6.5-1) unstable; urgency=low

  * New upstream release.
    - Merge messsage notifications have been removed. Closes: #463519
  * Removed patches that were merged upstream
    - debian/patches/01-libtracker_gtk_missing_libs.patch
    - debian/patches/02-tracker_log_file.patch
    - debian/patches/03_no_initial_index_in_battery.patch
    - debian/patches/04_fix_crash_index_name_is_null.patch
    - debian/patches/05_typo_audio_track_peak_gain_tag.patch
    - debian/patches/06_trackerd_infinite_loop.patch
  * debian/rules
    - Exclude /usr/lib/tracker/extract-modules/ from dh_makeshlibs.
  * debian/tracker.install
    - Install *.so files from /usr/lib/tracker/extract-modules/.
  * debian/tracker-search-tool.install
    - Install /usr/share/tracker/tracker-applet-prefs.glade.

 -- Michael Biebl <biebl@debian.org>  Thu, 28 Feb 2008 07:14:18 +0100

tracker (0.6.4-3) unstable; urgency=low

  * debian/control
    - Replace Build-Depends python-central with python-support.
    - Remove X[BS]-Python-Version fields.
  * debian/rules
    - Add call to dh_pysupport passing it the path of the deskbar-applet
      modules directory.
    - Remove dh_pycentral.
  * debian/tracker-search-tool.menu
    - Add a menu file for tracker-search-tool. Closes: #438959

 -- Michael Biebl <biebl@debian.org>  Sun, 24 Feb 2008 02:36:23 +0100

tracker (0.6.4-2) unstable; urgency=low

  * Merge a few patches from the Ubuntu package.
    - debian/patches/03_no_initial_index_in_battery.patch:
      + Do not run the initial index if running on battery.
        Patch taken from upstream SVN, revision 1075:
        http://svn.gnome.org/viewvc/tracker?view=revision&revision=1075
    - debian/patches/04_fix_crash_index_name_is_null.patch:
      + Fix a crash when index name is null during merging.
        Patch taken from upstream SVN, revision 1076:
        http://svn.gnome.org/viewvc/tracker?view=revision&revision=1076
    - debian/patches/05_typo_audio_track_peak_gain_tag.patch:
      + Fix a typo in a tag metadata.
        Patch taken from upstream SVN, revision 1077:
        http://svn.gnome.org/viewvc/tracker?view=revision&revision=1077
    - debian/patches/06_trackerd_infinite_loop.patch:
      + Fix an infinite loop in trackerd if a second instance is launched.
        Closes:#460176. Patch taken from upstream SVN, revision 1079:
        http://svn.gnome.org/viewvc/tracker?view=revision&revision=1079

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Jan 2008 06:43:19 +0100

tracker (0.6.4-1) unstable; urgency=low

  * New upstream release.
    - Check for dbus errors in tracker-status. Closes: #445499
    - Fix memory leaks in trackerd. Closes: #451216
    - Check for changed/removed files on startup and correctly handle
      NoWatchDirectories. Closes: #412116
  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.
    - Add Build-Depends on libnotify-dev (>= 0.4.3) and raise Build-Depends on
      libgtk2.0-dev (>= 2.10.0). Required for compiling tracker-applet.
    - Add Build-Depends on libhal-dev (>= 0.5). Required for battery status
      detection support.
  * debian/patches/01-stemming_languages.patch
    - Removed, merged upstream.
  * debian/patches/02-memleak_fix.patch
    - Removed, merged upstream.
  * debian/patches/01-libtracker_gtk_missing_libs.patch
    - libtracker-gtk uses symbols from libtrackerclient, so make sure we link
      against it.
  * debian/patches/02-tracker_log_file.patch
    - Pull tracker log file fix from svn (r1074).
  * debian/rules
    - Pass --enable-trackerapplet to DEB_CONFIGURE_EXTRA_FLAGS. This enables
      the compilation of tracker-applet, an application for the GNOME
      notification area which shows the status of the trackerd daemon and
      allows users to quickly access the most frequently used actions.
  * debian/tracker-search-tool.manpages
    - Install the tracker-applet man page.
  * debian/tracker-search-tool.install
    - Install the tracker-applet binary and its autostart desktop file.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Dec 2007 20:22:15 +0100

tracker (0.6.3-3) unstable; urgency=low

  * Fix the path for the deskbar-applet modules directory. Closes: #445588

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Oct 2007 16:21:15 +0200

tracker (0.6.3-2) unstable; urgency=low

  * Enable the new-style module for deskbar-applet. Closes: #445588
  * debian/rules
    - Pass "--enable-deskbar-applet=module" to DEB_CONFIGURE_EXTRA_FLAGS.
  * debian/control
    - Make the dependency on deskbar-applet versioned as the new-style module
      only works with deskbar-applet >= 2.20.0.
  * debian/libdeskbar-tracker.install
    - The new-style deskbar-applet modules are installed to a different path,
      update the install file accordingly.

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Oct 2007 20:37:07 +0200

tracker (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-version_fix.patch
    - Removed, merged upstream.
  * debian/patches/02-getenv.patch
    - Removed, merged upstream.
  * debian/patches/03-system_ioprio.patch
    - Removed, fixed upstream.
  * debian/control
    - Build-Depend on libqdbm-dev (again); qdbm proved to be a lot faster and
      less ressource hungy for the index databases than sqlite3.
    - Enable XMP support by adding a Build-Depends on libexempi-dev.
    - Use the new "Homepage:" field to specify the upstream URL.
  * debian/rules
    - Build against the system qdbm libray.
    - Pass "-Wl,-Bsymbolic" to LDFLAGS. This will avoid namespace conflicts
      which can lead to all kinds of subtle bugs in clients that load
      libtrackerclient via dlopen. Closes: #443824

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Sep 2007 11:25:49 +0200

tracker (0.6.2-2) unstable; urgency=low

  * debian/patches/02-getenv.patch
    - Include stdlib.h in tracker-apps.c for the getenv function prototype.
      Patch by dann frazier, thanks. Closes: #440997
  * debian/patches/03-system_ioprio.patch
    - Use the ioprio syscalls defined by linux-libc-dev. Fixes a FTBFS on hppa
      and m68k.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Sep 2007 11:43:05 +0200

tracker (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/10-function_prototypes.patch
    - Removed, merged upstream.
  * debian/patches/01-version_fix.patch
    - Fix the version number shown at trackerd start.
  * debian/control
    - Drop Build-Depends on libqdbm-dev. Tracker now uses sqlite3 for all of
      its databases.
    - Bump Build-Depends on libsqlite3-dev to >= 3.4 as the new sqlite based
      indexer requires the incremental blob I/0 feature of sqlite 3.4.
  * debian/rules
    - Add --enable-deskbar-applet=handler to DEB_CONFIGURE_EXTRA_FLAGS.
      deskbar-applet in unstable still uses the "old-style" handler interface.
    - Drop --enable-external-sqlite and --enable-external-qdbm from
      DEB_CONFIGURE_EXTRA_FLAGS. These configure options are now obsolete.

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Sep 2007 22:30:28 +0200

tracker (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/10-deskbar_plugin_hashbang.patch
    - Removed, merged upstream.
  * debian/patches/10-function_prototypes.patch
    - Add missing function prototype definitions. Closes: #435774
  * debian/rules
    - Generate tight shlibs dependencies by passing -V to dh_makeshlibs.
      Closes: #435840
  * debian/tracker-search-tool.manpages
    - Install tracker-preferences man page.

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Aug 2007 18:32:11 +0200

tracker (0.6.0-1) unstable; urgency=low

  * New upstream release.
    - Uses XDG directories to store the settings, cache, database and log 
      files. Closes: #414860
    - Fixes the crash of the deskbar applet at session start. Closes: #434078 
    - Does not fall back to polling when the inotify limit is exceeded.
      Closes: #412089
    - Correctly uses xdg-open to open the search results with the preferred
      application. This requires the xdg-utils package to be installed, which
      is a Recommends of tracker-search-tool. Closes: 415705
  * Removed debian/man/ as the man pages are now shipped upstream. 
    Update tracker.manpages, tracker-search-tool.manpages and 
    tracker-utils.manpages accordingly.
  * Removed patches that were applied upstream or are now obsolete
    - debian/patches/20-trackerd_manpage.patch
    - debian/patches/30-deskbar_plugin_max_results.patch
    - debian/patches/40-inotify_syscalls.patch
    - debian/patches/50-expand_pathname.patch
    - debian/patches/60-check_pointer.patch
    - debian/patches/70-check_magic_file_results.patch
  * debian/copyright
    - The htmless sources are not shipped anymore and the qdbm sources are now
      in a separate subdirectory. Update the copyright file accordingly.
  * debian/libtracker-gtk-dev.install, debian/libtracker-gtk0.install
    - Added. libtracker-gtk is a new library that provides handy GTK+ widgets
      for applications that use tracker.
  * debian/control
    - Drop libmagic-dev from Build-Depends, add libunac1-dev and libqdbm-dev.
    - Add djvulibre-bin and gnumeric to Suggests. They are used as external
      filters for indexing djvu, csv and spreadsheet documents.
    - Add binary packages libtracker-gtk0 and libtracker-gtk-dev.
    - Update the long description of tracker-utils and include the new tool
      "tracker-status".
    - Add binary package tracker-dbg which provides the debugging symbols of
      trackerd and its utilities. Closes: #412140
  * debian/rules
    - Make sure we link against the system qdbm library.
    - Enable the support for libunac.
    - Explicitly enable the compilation of the GUI, the preferences applet
      and libtracker-gtk.

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Jul 2007 01:13:37 +0200

tracker (0.5.4-6) unstable; urgency=low

  * Rebuild against poppler 0.5.4. Closes: #427815
  * Don't install htmless binary and man page anymore. 
    The html filter now uses w3m.

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Jun 2007 22:39:00 +0200

tracker (0.5.4-5) unstable; urgency=low

  * debian/patches/70-check-magic-file-results.patch
    - Check the return results of magic_file. Closes: #414444
      Thanks to Sam Morris for the patch.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Mar 2007 18:23:50 +0100

tracker (0.5.4-4) unstable; urgency=low

  * debian/patches/50-expand_pathname.patch
    - Expand relative paths passed to tracker-thumbnailer. Closes: #411904
  * debian/patches/60-check_pointer.patch
    - Check pointer before passing it to g_locale_to_utf8().

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Feb 2007 00:00:25 +0100

tracker (0.5.4-3) unstable; urgency=medium

  * debian/patches/40-inotify_syscalls.patch
    - Add missing inotify syscall numbers for mips, hppa and m68k.
      Fixes a FTBFS on these architectures, so priority medium.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Feb 2007 23:43:36 +0100

tracker (0.5.4-2) unstable; urgency=low

  * debian/control
    - Add python-gtk2 (<< 2.10) as alternative to python-gobject.
  * debian/rules
    - Pass the deskbar-applet plugin directory path to dh_pycentral.

 -- Michael Biebl <biebl@debian.org>  Sun, 28 Jan 2007 12:56:17 +0100

tracker (0.5.4-1) unstable; urgency=low

  [ Johan Kiviniemi ]
  * New upstream release.
    - Also contains a plugin for deskbar-applet.
      The new binary package is called libdeskbar-tracker.
      Use python-central to create the package.
  * Added debian/watch.
  * debian/copyright:
    - Mention the deskbar plugin.
  * debian/patches/10-deskbar_plugin_hashbang.patch:
    - Remove the #! line from the deskbar plugin.
  * debian/patches/20-trackerd_manpage.patch:
    - Fix markup.
    - Replace $Home with $HOME.
  * debian/patches/30-deskbar_plugin_max_results.patch:
    - Increase the maximum number of listed results from 2 to 10.
  * debian/control:
    - Add Recommends: untex to tracker and Recommends: xdg-utils to
      tracker-search-tool.
    - Add libmagic-dev as new build depencency.  

  [ Michael Biebl ]
  * Review Johan's work and upload to unstable.
    Thanks a lot, Johan!

 -- Michael Biebl <biebl@debian.org>  Sat, 27 Jan 2007 18:13:51 +0100

tracker (0.5.3-1) unstable; urgency=low

  * Initial release. Closes: #387110
    Based on work by Laurent Aguerreche and Jamie McCracken.
  * Build against system sqlite library.
  * Do not ship the internal o3totxt utility but rather add a
    Recommends: o3read.
  * Write missing man pages.

 -- Michael Biebl <biebl@debian.org>  Fri, 19 Jan 2007 00:29:39 +0100
